Skip to content
Leadtime
English
Esc
↑↓navigate↵open⌘Jpreview

Get employee calendar export (ICS subscription URL)

Returns the HTTPS URL for the employee’s Leadtime calendar feed (.ics). Requires a linked user account on the employee.

GET/employees/{id}/calendar-feed
Authorization
AuthorizationOAuth2 access token · headerrequired
Scopes:api:read
or
AuthorizationBearer token (JWT) · headerrequired
Path parameters
idstringrequired
Responses
200
urlstringrequired

HTTPS URL of the employee’s Leadtime calendar export (.ics). Subscribe in external calendar apps.

401

Unauthorized - Invalid or missing authentication token

403

Forbidden - Insufficient API scopes or permissions

Try it
Server
Authorization
Parameters
Request
curl -X GET "https://leadtime.app/api/public/employees/string/calendar-feed" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
Response
{
  "url": "string"
}